part of tecfy_basic_package;

abstract class BaseModel {
  String get idValue;
  String get displayName;

  // convert service time to DateTime UTC
  static DateTime parseUTC(String serverValue,
      {String format = "yyyy-MM-ddTHH:mm", DateTime defaultValue}) {
    if (serverValue == null) return defaultValue;
    try {
      return intl.DateFormat(format).parseUTC(serverValue) ?? defaultValue;
    } catch (err) {
      return defaultValue;
    }
  }
}
